ComplexKeyHashMap (groovy 2.4.9 API)
Date: 2017-02-24

Package: org.codehaus.groovy.util

## [Java] Class ComplexKeyHashMap

- org.codehaus.groovy.util.ComplexKeyHashMap

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ComplexKeyHashMap.Entry` |
    `interface` | `ComplexKeyHashMap.EntryIterator` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static int` | `DEFAULT_CAPACITY` |
    `protected static int` | `MAXIMUM_CAPACITY` |
    `protected static int` | `MINIMUM_CAPACITY` |
    `protected int` | `size` |
    `protected ComplexKeyHashMap.Entry[]` | `table` |
    `protected int` | `threshold` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `ComplexKeyHashMap()`
    `` | `def` | `ComplexKeyHashMap(boolean b)`
    `` | `def` | `ComplexKeyHashMap(int expectedMaxSize)`
    `` | `void` | `clear()`
    `` | `ComplexKeyHashMap.EntryIterator` | `getEntrySetIterator()`
    `` | `Entry[]` | `getTable()`
    `` | `static int` | `hash(int h)`
    `` | `void` | `init(int initCapacity)`
    `` | `boolean` | `isEmpty()`
    `` | `void` | `resize(int newLength)`
    `` | `int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected static final int DEFAULT_CAPACITY

    - #### protected static final int MAXIMUM_CAPACITY

    - #### protected static final int MINIMUM_CAPACITY

    - #### protected int size

    - #### protected ComplexKeyHashMap.Entry[] table

    - #### protected int threshold

  - ### Method Detail

    - #### public def ComplexKeyHashMap()

    - #### public def ComplexKeyHashMap(boolean b)

    - #### public def ComplexKeyHashMap(int expectedMaxSize)

    - #### public void clear()

    - #### public ComplexKeyHashMap.EntryIterator getEntrySetIterator()

    - #### public Entry[] getTable()

    - #### public static int hash(int h)

    - #### public void init(int initCapacity)

    - #### public boolean isEmpty()

    - #### public void resize(int newLength)

    - #### public int size()